# Live Photo API

Source: https://frameleaf.app/docs/api/reference/live-photo/

Use your own server and its scoped API keys.

## List live photo relink candidates

GET /api/live-photo/candidates

Find separated live photos (a still image and its motion video that are not linked) that can be reassembled.

```json
{
  "description": "Find separated live photos (a still image and its motion video that are not linked) that can be reassembled.",
  "operationId": "getLivePhotoCandidates",
  "parameters": [],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/LivePhotoCandidatesResponseDto"
          }
        }
      },
      "description": ""
    }
  },
  "security": [
    {
      "api_key": []
    }
  ],
  "summary": "List live photo relink candidates",
  "tags": [
    "Live Photo"
  ],
  "x-frameleaf-permission": "all"
}
```

## Relink live photos

POST /api/live-photo/relink

Reassemble the selected still + video pairs into live photos, hiding the standalone videos.

```json
{
  "description": "Reassemble the selected still + video pairs into live photos, hiding the standalone videos.",
  "operationId": "relinkLivePhotos",
  "parameters": [],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/LivePhotoRelinkDto"
        }
      }
    },
    "required": true
  },
  "responses": {
    "201": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/LivePhotoRelinkResponseDto"
          }
        }
      },
      "description": ""
    }
  },
  "security": [
    {
      "api_key": []
    }
  ],
  "summary": "Relink live photos",
  "tags": [
    "Live Photo"
  ],
  "x-frameleaf-permission": "all"
}
```
